export default {
  items: {
    get: "monir/search/get/byid/",
  },
  Farhanghestan: {
    search_normal: "monir/search/0/10",
    search_And: "monir/search/and/0/10",
    search_Phrase: "monir/search/phrase/0/10",
    search_Code: "monir/search/code/all/0/10",
  },
  subject: {
    add: "sanad/subject/add",
    // edit: "sanad/subject/edit",
    delete: "sanad/subject/delete",
    order: "monir/sanad/subject/order",
  },
  index: {
    Index_one: "safheh212/one",
    index_multi: "safheh212/multi",
  },
  nesha: {
    search_normal: "monir/search/nesha/0/10",
  },
  wordSWeight: {
    list: "ngrams/elastic/{{index_key}}/1to3",
  },
  rezome: {
    add: "rezumeh",
    get: "rezumeh/get",
  },
  navigation: {
    list: "navigate/list/@entity",
    report:
      "navigate/report/{{index_key}}/{{offset}}/{{limit}}/{{aggs}}/{{filter}}",
    reportItem: "navigate/report/items",
    reportSubjectItem: "navigate/report/subject={{subject_title}}/items",
  },
  bnavigation: {
    list: "repo/navigate/list",
    report: "repo/navigate/report",
    reportItem: "repo/navigate/report/items",
    reportSubjectItem: "repo/navigate/report/subject={{subject_title}}/items",
  },
  schema: {
    list: "schema",
  },
  search: {
    autoComplate:
      "{{appname}}/complation/{{index_key}}/{{filter}}",
    logAutoComplate:
      "searchlog/complation/{{filter}}",
    default:
      "{{appname}}/data/{{index_key}}/{{sortKey}}/{{offset}}/{{limit}}/{{filter}}",
    queryNormal:
      "{{appname}}/search/{{index_key}}/{{search_type}}/{{sortKey}}/{{field_collapse}}/{{offset}}/{{limit}}/{{filter}}",
    textSearch:
      "{{appname}}/search/text/{{index_key}}/{{field}}/{{offset}}/{{limit}}/{{filter}}",
  },
  chart: {
    timeline: "{{appname}}/data/timeline/{{index_key}}",
    xy: "{{appname}}/data/xy/{{index_key}}/{{field_key}}",
    items:
      "navigate/report/items/search/{{index_key}}/{{offset}}/{{limit}}/{{filter}}",
    chartTreeMap: "list/project/treemap/{{chart_key}}/{{filter}}",
    treeItems:"navigate/report/items/search/{{index_key}}/{{offset}}/{{limit}}/{{filter}}",
    tree: "list/subject/list",
    graph:"repo/majles/{{to_key}}/relation"
  },
  synonym:{
    getSynonyms:"synonym/get/words",
    synonymSearch:"search/qasection/synonym/@listkey/@offset/@limit/@q",
  }
};
